package cn.com.jdkj.annotation;
/**
 * @Title: IgnoreSwaggerParameter.java
 * @Package com.birdsh.paradise.annotation
 * @Description:
 * Copyright: Copyright (c) 2018
 * Website: www.panzhijie.cn
 *
 * @Author yangy
 * @DateTime 2022年4月12日 下午7:47:32
 * @version V1.0
 */


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @ClassName: IgnoreSwaggerParameter
 * @Description:
 * @Author yangy
 * @DateTime 2022年4月12日 下午7:47:32
 */

//swagger忽略的参数
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface IgnoreSwaggerParameter {

}
