package cn.com.jdkj.annotation.sys;

import java.lang.annotation.*;

/**
 * 管理端接口日志记录注解 需token信息
 * 本注解未赋值时则操作名称取用@ApiOperation注解中的信息
 * 若二者皆为空 则默认取用方法名作为操作名称
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD,ElementType.TYPE})
public @interface SysManageLog {
    /**
     * 操作名称
     * @return
     */
    String name() default "";
}
