package cn.com.jdkj.customer.service;

import cn.com.jdkj.customer.dto.LoginDto;
import cn.com.jdkj.customer.dto.QuestionDto;
import cn.com.jdkj.customer.dto.RegisterDto;
import cn.com.jdkj.customer.entity.Customer;
import cn.com.jdkj.entity.ResultBean;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

public interface CustomerService extends IService<Customer> {
    ResultBean login(LoginDto dto);
    ResultBean register(RegisterDto dto);
    ResultBean question(QuestionDto dto);
    void questionToAudio(QuestionDto dto, HttpServletResponse response);
}
