package cn.com.jdkj.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ReturnCode {

    SUCCESS(200,"成功"),
    USER_NOT_ACTIVE(400,"账号登录失败，账号未激活。"),
    PASSWORD_ERROR(301,"密码错误，或账号错误。"),
    USER_NOT_EXSIT(302,"账号不存在请注册。"),
    REGISTER_ERROR(400,"账号注册失败"),
    USERNAME_EXSIT(301,"当前账号已存在。请更换用户名注册。"),
    USERNAME_ERROR(302,"当前账号名称违规，请更换用户名注册"),
    UUID_ERROR(301,"UUID失效"),
    SIGN_ERROR(300,"无效签名"),
    ;

    private Integer code;
    private String message;
}
