package cn.com.jdkj.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface LogInject {
    /**
     * 操作内容
     * @return
     */
    String value() default "";

    /**
     * 操作备注
     * @return
     */
    String memo() default "";

    /**
     * Button
     * @return
     */
    String button() default "";
    /**
     * 参数类型
     * @return
     */
    Class<?> paramType();
}
