package cn.com.jdkj.exception;


import cn.com.jdkj.enums.ReturnCode;

/**
 * 自定义异常类
 *
 * @author HuangChendi
 */
public class CustomException extends RuntimeException {

    private static final long serialVersionUID = -4290208105450474741L;

    private Integer code;

    private Object data;

    public CustomException(ReturnCode returnCode) {
        super(returnCode.getMessage());
        this.code = returnCode.getCode();
    }

    public CustomException(ReturnCode returnCode,Object obj) {
        super(returnCode.getMessage());
        this.code = returnCode.getCode();
        this.data = obj;
    }

    public Integer getCode() {
        return code;
    }

    public Object getData() {
        return data;
    }
}
